Bug 1286619 - [abrt] dnf: group.py:253:_mark_install:AttributeError: 'GroupPersistor' object has no attribute 'environement'
Summary: [abrt] dnf: group.py:253:_mark_install:AttributeError: 'GroupPersistor' objec...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2672d3a331389dc3d00eafc8329...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-30 11:00 UTC by Frank Büttner
Modified: 2016-01-04 19:53 UTC (History)
5 users (show)

Fixed In Version: dnf-1.1.5-1.fc23 dnf-1.1.5-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 21:59:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (7.93 MB, text/plain)
2015-11-30 11:02 UTC, Frank Büttner
no flags Details
File: backtrace (1.53 KB, text/plain)
2015-11-30 11:02 UTC, Frank Büttner
no flags Details
File: dnf-makecache.log (6.20 MB, text/plain)
2015-11-30 11:03 UTC, Frank Büttner
no flags Details
File: dso_list (85 bytes, text/plain)
2015-11-30 11:03 UTC, Frank Büttner
no flags Details
File: environ (2.02 KB, text/plain)
2015-11-30 11:03 UTC, Frank Büttner
no flags Details

Description Frank Büttner 2015-11-30 11:00:21 UTC
Description of problem:
dnf migrate

Version-Release number of selected component:
dnf-1.1.3-1.fc22

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python -OO /usr/bin/dnf migrate
executable:     /usr/bin/dnf
kernel:         4.2.6-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
group.py:253:_mark_install:AttributeError: 'GroupPersistor' object has no attribute 'environement'

Traceback (most recent call last):
  File "/usr/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 198, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 136, in _main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1091, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/migrate.py", line 126, in run
    self.migrate_groups()
  File "/usr/lib/python2.7/site-packages/dnf-plugins/migrate.py", line 257, in migrate_groups
    group_cmd._mark_install([group])
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands/group.py", line 253, in _mark_install
    for g in res.environments]))
AttributeError: 'GroupPersistor' object has no attribute 'environement'

Local variables in innermost frame:
g: u'workstation-product-environment'
solver: <dnf.comps.Solver object at 0x7fabafea5790>
res: {'groups': [], 'environments': [u'workstation-product-environment']}
self: <dnf.cli.commands.group.GroupCommand object at 0x7fabb7bda2d0>
prst: <dnf.persistor.GroupPersistor object at 0x7fabb2010690>
q: <dnf.comps.CompsQuery object at 0x7fabafea5f90>
patterns: [u'Fedora Workstation']
env_id: u'workstation-product-environment'
types: 14

Comment 1 Frank Büttner 2015-11-30 11:02:11 UTC
Created attachment 1100466 [details]
File: _var_log_dnf.log

Comment 2 Frank Büttner 2015-11-30 11:02:15 UTC
Created attachment 1100467 [details]
File: backtrace

Comment 3 Frank Büttner 2015-11-30 11:03:38 UTC
Created attachment 1100471 [details]
File: dnf-makecache.log

Comment 4 Frank Büttner 2015-11-30 11:03:40 UTC
Created attachment 1100472 [details]
File: dso_list

Comment 5 Frank Büttner 2015-11-30 11:03:42 UTC
Created attachment 1100473 [details]
File: environ

Comment 7 Frank Büttner 2015-11-30 12:47:57 UTC
Yes it will fix it.

Comment 8 Fedora Update System 2015-12-18 17:47:36 UTC
dnf-plugins-core-0.1.15-1.fc23 dnf-1.1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c72cd24fa0

Comment 9 Fedora Update System 2015-12-18 17:49:03 UTC
dnf-plugins-core-0.1.15-1.fc22 dnf-1.1.5-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1bb112ccc6

Comment 10 Fedora Update System 2015-12-19 19:59:54 UTC
dnf-1.1.5-1.fc23, dnf-plugins-core-0.1.15-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf dnf-plugins-core'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c72cd24fa0

Comment 11 Fedora Update System 2015-12-22 15:35:35 UTC
dnf-1.1.5-1.fc22, dnf-plugins-core-0.1.15-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1bb112ccc6

Comment 12 Fedora Update System 2015-12-22 21:59:08 UTC
dnf-1.1.5-1.fc23, dnf-plugins-core-0.1.15-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-01-04 19:52:27 UTC
dnf-1.1.5-1.fc22, dnf-plugins-core-0.1.15-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.